VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Printing/Previewing with Objects"
   ClientHeight    =   5265
   ClientLeft      =   1650
   ClientTop       =   1755
   ClientWidth     =   7425
   LinkTopic       =   "Form1"
   ScaleHeight     =   5265
   ScaleWidth      =   7425
   Begin VB.Frame Frame1 
      Caption         =   "Preview"
      Height          =   4935
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   6975
      Begin VB.HScrollBar HScroll1 
         Height          =   255
         Left            =   240
         TabIndex        =   4
         Top             =   4440
         Width           =   6135
      End
      Begin VB.VScrollBar VScroll1 
         Height          =   4095
         Left            =   6360
         TabIndex        =   3
         Top             =   360
         Width           =   255
      End
      Begin VB.PictureBox DocumentContainer 
         Height          =   4095
         Left            =   240
         ScaleHeight     =   4035
         ScaleWidth      =   6075
         TabIndex        =   1
         Top             =   360
         Width           =   6135
         Begin VB.PictureBox Document 
            AutoRedraw      =   -1  'True
            BackColor       =   &H00FFFFFF&
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   13.5
               Charset         =   0
               Weight          =   400
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   3735
            Left            =   240
            ScaleHeight     =   3675
            ScaleWidth      =   4155
            TabIndex        =   2
            Top             =   120
            Width           =   4215
         End
      End
   End
   Begin VB.Menu mnufile 
      Caption         =   "&File"
      Begin VB.Menu mnufilesub 
         Caption         =   "Preview"
         Index           =   0
      End
      Begin VB.Menu mnufilesub 
         Caption         =   "Print"
         Index           =   1
      End
      Begin VB.Menu mnufilesub 
         Caption         =   "E&xit"
         Index           =   2
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim PrtObj As Object, Margin As Single, Text As String
Private Sub PrintToObject()
    With PrtObj
        Margin = (0.5 * 1440) '1/2 inch
        'Draw a box on the print Object
        PrtObj.Line (Margin, Margin)-(Document.Width - Margin, Document.Height - Margin), , B
        'Position to print text
        .CurrentX = Margin + 10
        .CurrentY = Margin + 10
        'Print text
        PrtObj.Print "This is a Test Document."
        .CurrentX = Margin + 10
        PrtObj.Print "Select print from the file menu to"
        .CurrentX = Margin + 10
        PrtObj.Print "Print this document to your printer."
    End With
End Sub
Private Sub Form_Load()
    Set PrtObj = Document
    PrtObj.Height = 11 * 1440 'inches * (TWIPS per inch)
    PrtObj.Width = 8.5 * 1440 'inches * (TWIPS per inch)
    Margin = (0.5 * 1440) '1/2 inch
    SizeScrolls DocumentContainer, Document
    PrintToObject
End Sub
Private Sub HScroll1_Change()
'Position the document to the negative value of the scroll bar
'Negative value causes the document to move the reverse direction
'Of the scroll bar
Document.Left = -HScroll1.Value
End Sub

Private Sub HScroll1_Scroll()
'This event will scroll the document when the scroll bar indicator
'is being dragged
HScroll1_Change
End Sub

Private Sub mnufilesub_Click(Index As Integer)
    Select Case Index
        Case 0
            Set PrtObj = Document
            PrintToObject
        Case 1
            MousePointer = 11 'Hourglass
            Set PrtObj = Printer 'Set the Print Object to the Printer
            'set Printer size and fonts
            PrtObj.Height = 11 * 1440 'inches * (TWIPS per inch)
            PrtObj.Width = 8.5 * 1440 'inches * (TWIPS per inch)
            Set PrtObj.Font = Document.Font
            PrintToObject 'Print Text Procedure
            Printer.EndDoc 'Print the object
            MousePointer = 0 'Default mouse
        Case 2
            End
    End Select
End Sub

Private Sub VScroll1_Change()
'Position the document to the negative value of the scroll bar
'Negative value causes the document to move the reverse direction
'Of the scroll bar
Document.Top = -VScroll1.Value
End Sub

Private Sub VScroll1_Scroll()
'This event will scroll the document when the scroll bar indicator
'is being dragged
VScroll1_Change
End Sub
Public Sub SizeScrolls(DocumentContainer As Object, Document As Object)
    'Set Horizontal Values
    With HScroll1
        'Position and size the scroll bar
        .Left = DocumentContainer.Left
        .Top = DocumentContainer.Top + DocumentContainer.Height
        .Width = DocumentContainer.Width
        'Set minimum value -10 shows the document border at the left
        .Min = -10
        'set document right side values
        .Max = (Document.Width + 300) - DocumentContainer.Width
        'Position the document at the left. Changing the value
        'moves the document
        .Value = .Min
        'how many twips to move when clicking on the scroll arrow
        .SmallChange = 500
        'how many twips to move when clicking on the scroll bar
        .LargeChange = DocumentContainer.Width
    End With
    With VScroll1
        'Position and size the scroll bar
        .Left = DocumentContainer.Left + DocumentContainer.Width - VScroll1.Width
        .Top = DocumentContainer.Top
        .Height = DocumentContainer.Height
        'Set minimum value -10 shows the document border at the left
        .Min = -10
        'set document bottom values
        .Max = (Document.Height + 50) - DocumentContainer.Height '32,767
        'Position the document at the top. Changing the value
        'moves the document
        .Value = .Min
        'how many twips to move when clicking on the scroll arrow
        .SmallChange = 500
        'how many twips to move when clicking on the scroll bar
        .LargeChange = DocumentContainer.Height
    End With
End Sub
